Name:          ftjam
Version:       2.5.2
Release:       2mamba
Summary:       A small build tool that can be used as a replacement for Make
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://freetype.fis.uniroma2.it/jam/index.html
Source:        http://downloads.sourceforge.net/sourceforge/freetype/ftjam-%{version}.tar.bz2
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Provides:      jam

%description
Jam is a small open-source build tool that can be used as a replacement for Make. Even though Jam is a lot simpler to use than Make, it is far more powerful and easy to master. It already works on a large variety of platforms (Unix, Windows, OS/2, VMS, MacOS, BeOS, etc.), it is trivial to port, and its design is sufficiently clear to allow any average programmer to extend it with advanced features at will.
This is an improved version, named ‘FT Jam’, containing several enhancements (like the ability to run on Windows 9x systems, or additional compiler/toolset support).

#% debug_package

%prep
%setup -q
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," builds/unix/config.sub

%build
%configure
# FIXME: disable strict-aliasing as a workaround against GCC 4.2 of it segfaults
make CFLAGS="-g -O2 -fno-strict-aliasing"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/jam
%doc CHANGES README README.ORG

%changelog
* Fri Sep 06 2013 Automatic Build System <autodist@mambasoft.it> 2.5.2-2mamba
- automatic rebuild by autodist

* Thu Dec 06 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.2-1mamba
- package created by autospec
